import { IsString } from 'class-validator';
import { NotAcceptableError, NotFoundError } from 'routing-controllers';

/**
 * Error to throw, when a non-existent contact get's requested.
 */
export class GroupContactNotFoundError extends NotFoundError {
	@IsString()
	name = "GroupContactNotFoundError"

	@IsString()
	message = "The groupContact you provided couldn't be located in the system. \n Please check your request."
}

/**
 * Error to throw when two contacts' ids don't match.
 * Usually occurs when a user tries to change a contact's id.
 */
export class GroupContactIdsNotMatchingError extends NotAcceptableError {
	@IsString()
	name = "GroupContactIdsNotMatchingError"

	@IsString()
	message = "The ids don't match! \n And if you wanted to change a contact's id: This isn't allowed!"
}
