import { IsString } from 'class-validator';
import { NotAcceptableError, NotFoundError } from 'routing-controllers';

/**
 * Error to throw, when a non-existent stats client get's loaded.
 */
export class StatsClientNotFoundError extends NotFoundError {
	@IsString()
	name = "StatsClientNotFoundError"

	@IsString()
	message = "The stats client you provided couldn't be located in the system. \n Please check your request."
}

/**
 * Error to throw when two stats clients' ids don't match.
 * Usually occurs when a user tries to change a stats client's id.
 */
export class StatsClientIdsNotMatchingError extends NotAcceptableError {
	@IsString()
	name = "StatsClientIdsNotMatchingError"

	@IsString()
	message = "The ids don't match! \n And if you wanted to change a stats client's id: This isn't allowed!"
}