import { IsString } from 'class-validator';
import { ResponseObjectType } from '../enums/ResponseObjectType';
import { IResponse } from './IResponse';

/**
 * Defines the logout response.
*/
export class Logout implements IResponse {
  /**
   * The responseType.
   * This contains the type of class/entity this response contains.
   */
  responseType: ResponseObjectType = ResponseObjectType.LOGOUT;

  /**
  * The logout's timestamp.
  */
  @IsString()
  timestamp: number;
}
